from django.conf.urls import url
from .views import schema_view
from .views_api import (AnonymizeVoteView,
                        CloseElectionView,
                        ListReferencesView,
                        UpdateVotesView,
                        CountVotesView,
                        ListVotesView,
                        InitializeElectionView)


urlpatterns = [
    url(
        regex=r'^$',
        view=schema_view
    ),
    url(
        regex=r'^anonymizevote/$',
        view=AnonymizeVoteView.as_view(),
        name="anonymizevote"
    ),
    url(
        regex=r'^election/$',
        view=ListReferencesView.as_view(),
        name="electionendpoint"
    ),
    # Election context-wise endpoints
    url(
        regex=r'^election/(?P<election_id>\d+)/initialize/$',
        view=InitializeElectionView.as_view(),
        name="initializeelection"
    ),
    url(
        regex=r'^election/(?P<election_id>\d+)/close/$',
        view=CloseElectionView.as_view(),
        name="closeelection"
    ),
    url(
        regex=r'^election/(?P<election_id>\d+)/references/$',
        view=ListReferencesView.as_view(),
        name="listreferences"
    ),
    url(
        regex=r'^election/(?P<election_id>\d+)/count/$',
        view=CountVotesView.as_view(),
        name="partialcount"
    ),
    url(
        regex=r'^election/(?P<election_id>\d+)/votes/$',
        view=ListVotesView.as_view(),
        name="listvotes"
    ),
    url(
        regex=r'^election/(?P<election_id>\d+)/updatevotes/$',
        view=UpdateVotesView.as_view(),
        name="deciphervotes"
    ),
]
